<div class="content">
  <table>
    <thead>
    <tr>
      <th class="object">{{labelTranslateEnum.organizationalUnit | translate}}</th>
      <th *ngIf="preventEdition | isFalse"
          class="action"
      ></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let abstractF of formArray.controls; let i = index">
      <ng-container *ngIf="asFormGroup(abstractF) as f">
        <td class="object">
          <solidify-searchable-single-select *ngIf="getFormControl(f, formDefinition.id) as fd"
                                             (navigate)="goToOrgUnit(fd.value)"
                                             [appearance]="'legacy'"
                                             [solidifyDataTest]="dataTestEnum.sharedPersonOrgUnitRoleInputOrgUnit"
                                             [formControl]="fd"
                                             [isWithLink]="isWithLinkToAdmin"
                                             [labelKey]="'name'"
                                             [placeholder]="labelTranslateEnum.organizationalUnit | translate"
                                             [readonly]="preventEdition || readonly || f.disabled"
                                             [required]="formValidationHelper.hasRequiredField(fd)"
                                             [resourceNameSpace]="sharedOrgUnitActionNameSpace"
                                             [sort]="sharedOrgUnitSort"
                                             [state]="sharedOrgUnitState"
                                             [tooltipNavigateToTranslate]="labelTranslateEnum.seeOrganizationalUnitDetail | translate"
                                             [valueKey]="'resId'"
                                             [isDisabled]="preventEdition"
                                             solidifyValidation
          >
          </solidify-searchable-single-select>
        </td>
        <td *ngIf="preventEdition | isFalse">
          <button (click)="delete(i)"
                  (onEnter)="delete(i)"
                  [disabled]="f.disabled"
                  [solidifyDataTest]="dataTestEnum.sharedOrgUnitButtonDelete"
                  [matTooltipPosition]="'left'"
                  [matTooltip]="labelTranslateEnum.delete | translate"
                  class="trash"
                  mat-icon-button
                  solidifyShortCuts
                  type="button"
          >
            <solidify-icon [iconName]="iconNameEnum.delete"></solidify-icon>
          </button>
        </td>
      </ng-container>
    </tr>
    </tbody>
  </table>

  <p *ngIf="formArray?.controls?.length === 0"
     class="no-item"
  >{{getMessageNoItem() | translate}}</p>
</div>

<button *ngIf="preventEdition | isFalse"
        (click)="addOrgUnit()"
        (onEnter)="addOrgUnit()"
        [solidifyDataTest]="dataTestEnum.sharedOrgUnitButtonDelete"
        color="primary"
        mat-button
        solidifyShortCuts
        type="button"
>
  <solidify-icon [iconName]="iconNameEnum.add"></solidify-icon>
  {{labelTranslateEnum.add | translate}}
</button>
